Last Comment Bug 389650 - "Unable to save your message as a draft" and "Assembling mail information" when replying to forwarded attached .eml message
: "Unable to save your message as a draft" and "Assembling mail information" w...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: unspecified
: All All
: -- normal with 5 votes (vote)
: Thunderbird 12.0
Assigned To: Magnus Melin
:
:
Mentors:
: 391503 413346 439159 525034 548070 629683 (view as bug list)
Depends on: 738907 745395
Blocks: 269826
  Show dependency treegraph
 
Reported: 2007-07-26 04:18 PDT by Rod Whiteley
Modified: 2012-04-15 21:56 PDT (History)
22 users (show)
mkmelin+mozilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (31.75 KB, patch)
2011-12-27 11:17 PST, Magnus Melin
no flags Details | Diff | Splinter Review
proposed fix (whitespace changes ignored) (20.25 KB, patch)
2011-12-27 11:19 PST, Magnus Melin
no flags Details | Diff | Splinter Review
proposed fix v2 (32.48 KB, patch)
2011-12-28 11:35 PST, Magnus Melin
mozilla: review+
Details | Diff | Splinter Review
proposed fix v2 (whitespace changes ignored) (22.06 KB, patch)
2011-12-28 11:36 PST, Magnus Melin
no flags Details | Diff | Splinter Review

Description Rod Whiteley 2007-07-26 04:18:09 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.5) Gecko/20070713 Firefox/2.0.0.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.5) Gecko/20070716 Thunderbird/2.0.0.5

Thunderbird cannot save a message as a draft when it is a reply to a message that was forwarded as an attachment.  This is worse when auto-save is set, because you get periodic error messages.

Reproducible: Always

Steps to Reproduce:
0. Write a message and verify that you can save it as a draft.
1. In Tools – Options... – Composition – General, set Thunderbird to forward messages as attachments.
2. Forward a test message to yourself.
3. Receive the new message, open it, open the attached copy of the test message, and write a reply to it.
4. Try to save your reply as a draft.
Actual Results:  
Error message: "Unable to save your message as draft.
Please verify that your Mail & Newsgroups account settings are correct and try again."


Also in: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a7pre) Gecko/2007072504 Thunderbird/3.0a1pre
Comment 1 Magnus Melin 2007-07-26 10:32:10 PDT
Confirmed on linux/trunk.
Comment 2 WADA 2007-07-26 13:46:45 PDT
Reproduced with Seamonkey 1.1.3(MS Win-XP). Core bug.
Comment 3 Magnus Melin 2008-01-21 09:09:18 PST
*** Bug 413346 has been marked as a duplicate of this bug. ***
Comment 4 Hendrik Maryns 2008-03-11 04:31:56 PDT
This is very annoying, since with auto-save, the error message blocks you from continuing to write (i.e., you *have to* click ok to continue), which gets very annoying.

Also, it attracts the focus to the compose window, even when it is in the background: the error message pops up in front of everything, clicking OK lifts the compose window to focus, so one has to switch to the window one was working with again.

(linux with 2.0.0.12)
Comment 5 David Woolley 2008-06-07 07:33:16 PDT
My impression is that, if you have autosave and you don't service the dialogue box, Thunderbird eventually locks up (Linux).
Comment 6 Magnus Melin 2008-06-14 12:23:15 PDT
*** Bug 439159 has been marked as a duplicate of this bug. ***
Comment 7 Mark Sapiro 2008-07-26 09:24:28 PDT
This exact problem also occurs if I open a saved .eml file and reply to that message.

version 2.0.0.16 (20080708), and I believe at least one prior version.
Comment 8 Magnus Melin 2008-08-16 14:13:39 PDT
*** Bug 391503 has been marked as a duplicate of this bug. ***
Comment 9 Alex 2009-03-03 13:24:32 PST
I confirm this bug for Thunderbird/3.0b2
It is really annoying.
Comment 10 Mark Seddon 2010-01-22 01:48:30 PST
Confirmed for Thunderbird 3.0.0 on Windows 7 and Thunderbird version 2.0.0.23 (20090812)on Snow Leopard.

Also confirmed as Mark Sapiro stated above

"This exact problem also occurs if I open a saved .eml file and reply to that
message."

We save a lot of email messages for auditing purposes and so this bug is pretty lame. I'd just persuaded everyone to move from Outlook as well.
Comment 11 Mark Sapiro 2010-01-22 07:33:13 PST
Bug still exists in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20100111 Thunderbird/3.0.1
Comment 12 Ludovic Hirlimann [:Usul] 2011-02-21 02:58:52 PST
*** Bug 629683 has been marked as a duplicate of this bug. ***
Comment 13 Wayne Mery (:wsmwk, NI for questions) 2011-03-01 13:27:15 PST
*** Bug 525034 has been marked as a duplicate of this bug. ***
Comment 14 Wayne Mery (:wsmwk, NI for questions) 2011-03-01 13:32:50 PST
"Assembling mail information..." is also seen in status bar
Comment 15 chadom 2011-05-09 08:37:55 PDT
Don't know if it's only me, but I have one more problem in this situation : I can not paste an image in the reply (instead it show a "broken image" icon)
Comment 16 OrchidOne 2011-07-01 13:27:17 PDT
TB 5 problem. This bug:
- When saving e-mails in *.eml format to the local file system
- re-opening them, 
- clicking on reply, adding text
- click on close
- click on "yes safe as draft"
- getting this message:

[Unable to save your message as draft.
Please verify that your Mail & Newsgroups account settings are correct and try again]

existed already in TB3. Work around was to not click on reply but on forward. E-mail could then be saved as a draft. 
Now in TB5 even this is not possible any longer. E-Mails saved to the local system (Win 7, 64 Bit) can´t be saved as draft any longer. This is a big problem as many companies safe important e-mails to a digital filing system and can't save them later as draft for further action. Hope there will be a solution soon. Our Company downgraded from TB5 to TB3 again to have a workable workflow.
Comment 17 Philippp 2011-07-25 01:55:27 PDT
(In reply to comment #16)

OrchidOne, this is what I reported in Bug 548070 (glad I am not alone ;-)
probably you want to have a look there.
These bugs seem to be somehow related.

However, I get the same behaviour with TB 5 (I can press "save as draft", and I get the same error as in TB 3), tested on WinXP 32, TB 5 release version.

Working with .eml files does not seem to be a recommended option (and might look a bit "oldfashioned"), but also my client here uses .eml files heavily...
Comment 18 Justin Williams 2011-08-18 07:53:27 PDT
I've found that this is a timeout type issues.

When composing an email (reply, forward, edit as new) and I have attachments or images in the email if I take too long (5 minutes) to edit and save or send it will start giving this error.

If I then delete and read the images and attachments it will work just fine again. I think it is loosing the connections to the files that are in the original email message.

This happens more often when I'm editing a template that has already be created (they have attachments and embedded images).
Comment 19 Jack Eidsness 2011-08-19 16:01:14 PDT
That's interesting - I think you're describing a different way to get the same repeatable error message, and I suppose they could be related. I don't actually know what these objects look like in memory, but maybe the compose/reply window is just incapable of (re-)initiating a connection or using an existing one when it doesn't have one, such as after a timeout or when the reply was launched from a parent who has no reference to the existing connection pool.

I'm sure a timeout is not a required component of this bug, though. This problem has been reproducible for me every time I try to reply to attached mails and .eml files, without waiting for a time-out, whether they are plain text, HTML, have attachments, or no attachments.
Comment 20 Magnus Melin 2011-12-27 11:17:48 PST
Created attachment 584459 [details] [diff] [review]
proposed fix

Basically there were two problems here: currentAccountKey was undefined (set up in another if clause), and in nsMsgSend.cpp we returned a handled error for draft/template saving.

The other changes are whitespaceish, as i got rid of two unncessary if blocks - gCompose or gMsgCompose.compFields really shouldn't be null. If they are you'd want to know.

I'll attach an whitespace patch too for easier review.
Comment 21 Magnus Melin 2011-12-27 11:19:03 PST
Created attachment 584460 [details] [diff] [review]
proposed fix (whitespace changes ignored)
Comment 22 David :Bienvenu 2011-12-27 16:52:47 PST
Comment on attachment 584459 [details] [diff] [review]
proposed fix

thx, Magnus - seems to work fine here. And the mozmill test seems OK when run by itself, but when all the compose tests are run, I get several failures in test-forward-headers.js -I'm not sure if your new test is not cleaning up after itself, or what...but I'm going to clear the review request for now, and if you could look into the composition test failure, that would be great.
Comment 23 Magnus Melin 2011-12-28 11:35:54 PST
Created attachment 584602 [details] [diff] [review]
proposed fix v2

This deletes the drafts too, so there's no problem with other tests.
Comment 24 Magnus Melin 2011-12-28 11:36:29 PST
Created attachment 584603 [details] [diff] [review]
proposed fix v2 (whitespace changes ignored)
Comment 25 David :Bienvenu 2011-12-28 13:33:23 PST
Comment on attachment 584602 [details] [diff] [review]
proposed fix v2

thx, that makes the tests pass when run in batch.
Comment 26 Magnus Melin 2011-12-30 10:58:24 PST
http://hg.mozilla.org/comm-central/rev/6846848bd7d0
->FIXED
Comment 27 Hiroyuki Ikezoe (:hiro) 2012-01-23 19:41:12 PST
*** Bug 548070 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.